TelepathyQt4: Tp::Channel::GroupMemberChangeDetails Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::Channel::GroupMemberChangeDetails Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

List of all members.

## Public Member Functions

- bool isValid () const
- bool hasReason () const
- uint reason () const
- bool hasMessage () const
- QString message () const
- bool hasError () const
- QString error () const
- bool hasDebugMessage () const
- QString debugMessage () const

## Group interface

Cached access to state of the group interface on the associated remote object, if the interface is present. Almost all methods return undefined values if the list returned by interfaces() doesn't include TELEPATHY_INTERFACE_CHANNEL_INTERFACE_GROUP or if the object is not ready.

Some methods can be used when targetHandleType() == HandleTypeContact, such as groupFlags(), groupCanAddContacts(), groupCanRemoveContacts(), groupSelfContact() and groupContacts().

As the Group interface state can change freely during the lifetime of the channel due to events like new contacts joining the group, the cached state is automatically kept in sync with the remote object's state by hooking to the change notification signals present in the D-Bus interface.

As the cached value changes, change notification signals are emitted.

Signals are emitted to indicate that properties have changed, for groupMembersChanged(), groupSelfContactChanged(), etc.

Check the individual signals' descriptions for details.

- GroupMemberChangeDetails ()
- GroupMemberChangeDetails (const GroupMemberChangeDetails &other)
- ~GroupMemberChangeDetails ()
- GroupMemberChangeDetails & operator= (const GroupMemberChangeDetails &other)
- bool hasActor () const
- ContactPtr actor () const
- QVariantMap allDetails () const

## Detailed Description

Class opaquely storing information on a group membership change for a single member.

Extended information is not always available; this will be reflected by the return value of isValid().

## Constructor & Destructor Documentation

Tp::Channel::GroupMemberChangeDetails::GroupMemberChangeDetails | ( |  | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

Tp::Channel::GroupMemberChangeDetails::GroupMemberChangeDetails | ( | const GroupMemberChangeDetails & | other | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

Tp::Channel::GroupMemberChangeDetails::~GroupMemberChangeDetails | ( |  | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

## Member Function Documentation

Channel::GroupMemberChangeDetails & Tp::Channel::GroupMemberChangeDetails::operator= | ( | const GroupMemberChangeDetails & | other | ) |

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

bool Tp::Channel::GroupMemberChangeDetails::isValid | ( |  | ) | const`[inline]`

Return whether or not this object actually contains valid information received from the service. If the returned value is false, the values returned by the other methods for this object are undefined.

Returns:
  Whether the information stored in this object is valid.

bool Tp::Channel::GroupMemberChangeDetails::hasActor | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

uint Tp::Channel::GroupMemberChangeDetails::actor | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.

bool Tp::Channel::GroupMemberChangeDetails::hasReason | ( |  | ) | const`[inline]`

uint Tp::Channel::GroupMemberChangeDetails::reason | ( |  | ) | const`[inline]`

Return the reason for the change.

Returns:
  The reason, as specified in ChannelGroupChangeReason.

bool Tp::Channel::GroupMemberChangeDetails::hasMessage | ( |  | ) | const`[inline]`

const QString & Tp::Channel::GroupMemberChangeDetails::message | ( |  | ) | const`[inline]`

Return a human-readable message from the contact represented by actor() pertaining to the change, or an empty string if there is no message.

Returns:
  The message as a string.

bool Tp::Channel::GroupMemberChangeDetails::hasError | ( |  | ) | const`[inline]`

QString Tp::Channel::GroupMemberChangeDetails::error | ( |  | ) | const`[inline]`

bool Tp::Channel::GroupMemberChangeDetails::hasDebugMessage | ( |  | ) | const`[inline]`

QString Tp::Channel::GroupMemberChangeDetails::debugMessage | ( |  | ) | const`[inline]`

QVariantMap Tp::Channel::GroupMemberChangeDetails::allDetails | ( |  | ) | const

Return the contact requesting or causing the change.

Returns:
  The handle of the contact.